Commits (3)
......@@ -14,8 +14,8 @@ H2: ppolicy overlay
The pwdCheckModule option has been moved to the overlay configuration.
Existing settings in password policy entries will be ignored. It will be
necessary to add this configuration directive to the overlay when upgrading
if it is currently in use.
necessary to use pwdUseCheckModule instead and add this configuration
directive to the overlay when upgrading if it is currently in use.
H2: lloadd backends
......@@ -29,3 +29,10 @@ In 2.5 and prior, the managedInfo attribute in the cn=Log entry could be
used to change the loglevel of the slapd process. In 2.6, monitorLogLevel
can be used to change the slapd log level and monitorDebugLevel can be used
to change the slapd debug level.
H2: contrib modules
If still using the lastbind overlay with olcLastBindPrecision (when
olcLastBindForwardUpdates is needed), you will need to configure
precision on its backend entry instead and the overlay will honour it.
The old attribute is no longer accepted or supported.
......@@ -51,8 +51,11 @@ run a checkpoint based on the elapsed amount of minutes flag.
H2: Migration
The simplest steps needed to migrate between versions or upgrade, depending on your deployment
type are:
If upgrading, please consult {{SECT:Upgrading from 2.5.x}} first to see if you
need to make changes to your configuration as part of the upgrade.
After that, the simplest steps needed to migrate between versions or upgrade,
depending on your deployment type are:
.{{S: }}
^{{B: Stop the current server when convenient}}
......@@ -66,6 +69,9 @@ type are:
.{{S: }}
+{{B: Perform the software upgrades}}
.{{S: }}
+{{B: Perform any configuration upgrades required}}
.{{S: }}
+{{B: slapadd the exported data back into the directory}}
......